# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_Parameter Class Reference

A parameter is defined as the association of a
name and a value. For easy use, inherited classes
have been created to manipulate values by their
C++ type. This class is the root class of all the
derived parameter classes. Only the identifier of
the parameter is stored in it. The associated
value is stored in the inherited classes where it
is more easy to overload the methods manipulating
the value. No instance of this class must be
created. It is for this reason that this class is
deferred.
.

`#include <Dynamic_Parameter.hxx>`

Inheritance diagram for Dynamic_Parameter:

[legend]

## Public Member Functions

Standard_EXPORT TCollection_AsciiString | Name () const
| Returns in an AsciiString the name of the parameter. .
virtual Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Dynamic_Parameter (const Standard_CString aname)
| Initializer of this class taking in argument the name of the parameter <aname>. .

## Private Attributes

Handle_TCollection_HAsciiString | theparametername

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_Parameter::Dynamic_Parameter | ( | const Standard_CString | aname | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void Dynamic_Parameter::Dump | ( | Standard_OStream & | astream | ) | const`[virtual]`

| Reimplemented in Dynamic_BooleanParameter, Dynamic_InstanceParameter, Dynamic_IntegerParameter, Dynamic_ObjectParameter, Dynamic_RealParameter, and Dynamic_StringParameter.

Standard_EXPORT const Dynamic_Parameter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared. Reimplemented in Dynamic_BooleanParameter, Dynamic_InstanceParameter, Dynamic_IntegerParameter, Dynamic_ObjectParameter, Dynamic_RealParameter, and Dynamic_StringParameter.

Standard_EXPORT TCollection_AsciiString Dynamic_Parameter::Name | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString Dynamic_Parameter::theparametername `[private]`

The documentation for this class was generated from the following file:

- Dynamic_Parameter.hxx